dev preset - How to inject custom code into your presets
========================================================
This template is just a dummy template that is not supposed to be run in
real production. It shows however how to inject custom Python code into your 
presets. Using this mechanism you can take over full control over your presets.
You can basically inject any code you want and do what you want. As an example,
you can connect to a database, update/delete/add to the task's data, create
excel spread sheets, create additional folders, move the output automatically
to somewhere else, send an email and many more things.
Calling custom code can be as simple as calling one additional function or
several hundred steps - you decide.

There are currently three locations offered where you can inject custom Python
code when running a preset:

1) data.py: Runs immediately after you apply a preset. This accounts also when
   you hit the reload button next to the presets dropdown.

2. pre_render.py: Before the task's working file to process gets translated and
   rendered.

3. post_render.py: After the job has rendered.

Whenever a task contains these files 'data.py', 'pre_render.py',
'post_render.py' then they get executed automatically for you in the above
mentioned locations. You don't need all three of these, depending on your needs
you might only need one or two. Or all of them, or none, you decide.

Have a look at our online documentation for more information about injecting
custom code.
