"""Convert media from one format into another."""

# Import built-in modules
import logging
import os

# Import local modules
from smartMedia.constants import LOGGING_FORMAT

# Initializing our logger.
logging.basicConfig(format=LOGGING_FORMAT)


def root():
    """Get the root directory of this package.

    Returns:
        str: Absolute path of the python package.

    """
    return os.path.dirname(__file__)
