Colorspace
==========
Provide functionality for customizable auto completes for colorspaces.

There are a lot of colorspaces and their names and usage differs from studio 
to studio. That's why we want to provide a mechanism to auto complete inputs
for source and target colorspaces. This reduces time to type data in manually 
and reduces errors.

For that, we provide a customizable colorspace auto complete. This gets
used within the details widget `LineInputDoubleColorspaces`. The source
and target colorspace inputs get their input from all non commented lines in
the colorspaces.txt file in:

[USER HOME]/cragl/smartMedia/colorspaces.txt

Note: The colorspaces.txt in this folder serves as a base that gets copied into
the user folder of the path mentioned above. It is -not- used, so don't edit
it. Instead edit the colorspaces.txt file in the above mentioned location.
