Changelog
=========

1.4.0
-----
  - Update to nuke-15 (#59)

1.3.0
-----
  - Add studio model (#56)
  - Add Changelog and Support commands to Help menu (#57)

1.2.0
-----
  - Update to nuke-14 (#55)

1.1.0
-----
  - Ingest sources from text file (#53)

    This update adds the functionality to drop a .txt file into smartMedia
    in order to ingest all sources stated in that .txt file. Each line should
    therefore represent one source. The actual frame stated per source does
    not matter since smartMedia will find out the actual frame range for each
    source on disk.

  - Set presets as default (#54)
    
    Each preset can be set as a default inside the presets section. Whenever a
    new source gets added to smartMedia, all presets that were set as default
    get automatically added as new task for the new source. This reduces
    the need to create often needed tasks manually over and over again. 

1.0.0
-----
  - Initial release

0.30.0
------
  - Reference logo in slate by environment variable (#51)

    Set environment variable ``CRAGL_SMARTMEDIA_LOGO`` to an absolute path
    to an image file to use as a logo in a slate.

0.29.0
------
  - Create documentation (#14)

0.28.0
------
  - Preset wizard: Add video options on mov output and offer codec, fps (#35)

0.27.0
------
  - Settings: Auto apply matching naming (#40)

    Offer settings to automatically apply naming extraction once adding a new
    source into smartMedia.

0.26.0
------
  - Preset wizard: Add tooltips and help button on each wizard page (#37)

0.25.0
------
  - Preset wizard: Add page for custom code injections (#36)

0.24.0
------
  - Add some sensible presets (#34)

0.23.0
------
  - Edit preset in presets section (#31)

0.22.0
------
  - Mark when source is offline (#33)

0.21.0
------
  - Export jobs and tasks to disk - import fom disk (#23)

0.20.0
------
  - Select multiple tasks and process them sequentially (#20)

0.17.0
------
  - Add renderlog widget (#30)

0.16.0
------
  - Implement wizard to create new preset (#10)

0.15.0
------
  - Implement Shortcuts for Job and task widget (#24)

0.14.0
------
  - Add about window (#8)
  - Implement licensing (#9)

0.13.0
------
  - Integrate smartMedia into Nuke (#21)

0.12.0
------
  - Dropping job or task loads the whole job, containing all tasks (#29)

0.11.0
------
  - Dropping .media file loads the .media file (#28)

0.10.0
------
  - Add context menu with custom commands for tasks (#26)

0.9.0
-----
  - Implement burnins (#6)

0.8.0
-----
  - Add completer to presets dropdown for quicker preset search (#25)

0.7.0
-----
  - Implement slates (#5)

0.6.0
-----
  -  Confirm removing Task / Job (#22)

0.5.0
-----
  - UI: Implement custom input to store custom value to data.json (#2)
  
    Each task contains a 'custom' field that lets you add any key-value pair
    to the task's data.json file. This data will then be available in
    the global `data["custom"]` inside Nuke.

0.4.0
-----
  - Alt+click on task shows the task's data.json in the preview window (#19)

0.3.0
-----
  - Add output path dropdown (#16)
  
    The main window contains now a dropdown that can be used to globally
    create, set, unset and delete absolute and relative output root directories
    for all tasks. This lets you bulk set output root directories for all
    current and upcoming tasks.
    
0.2.0
-----
  - Make data.json key-value pairs available when loading working file (#3)

    This update adds an onLoad callback to Nuke to parse a data.json located
    next to the working file. This will pass all content of the data.json to
    the globals 'data' to make it available inside Nuke. This data can then be 
    used in knob expressions, slate, burnins, etc.

0.1.0
-----
  - Create job API (#1)
