"""Translate the logging level from settings."""

# Import local modules
from smartMedia import settings
from smartMedia.constants import LOGGING_LEVELS

# The logging level to use translated from a settings string to a logging int
# level.
LEVEL = LOGGING_LEVELS[settings.Settings().load_settings()["logging_level"]]
